ASGCollection
Keywords: uk.ac.bbk.dcs.automed.qproc.iql.ASGCollection class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.iql
Class ASGCollection

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.ASG
          uk.ac.bbk.dcs.automed.qproc.iql.ASGCollection

All Implemented Interfaces:
  java.io.Serializable, PersistentObject

    public class ASGCollection

extends ASG

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `COLLECTION_BAG_CONS`
`java.lang.String` | `COLLECTION_BAG_NIL`
`java.lang.String` | `COLLECTION_LIST_CONS`
`java.lang.String` | `COLLECTION_LIST_NIL`
`java.lang.String` | `COLLECTION_SET_CONS`
`java.lang.String` | `COLLECTION_SET_NIL`

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`logger, root`

Constructor Summary
`ASGCollection(Cell n)`
`ASGCollection(java.io.File f)`
`ASGCollection(java.lang.String s)`

Method Summary
`long` | `getCollectionSize()` Usage intended only for CallToWrapper cache, to help decide between in-memory and on-disk caching
`java.lang.String` | `getCollectionType()`
`java.util.Iterator` | `iterator()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`annotate, copyOfASG, emptyBag, emptyCollection, emptyList, emptySet, equals, explore, explore, finalize, formattedString, formattedString, formattedString, fromASG, fromASG, fromASGCollection, fromASGCollection, fromASGList, fromASGList, fromASGTuple, fromASGTuple, getColType, getCreated, getDestroyed, getKey, getPersistentAttributes, isDAG, isDAG, listOfSchemes, listOfSchemes, print, print, print, print, println, println, root, toASGCollection, toASGList, toASGTuple, toString, toStringOBID, unify`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COLLECTION_BAG_CONS

    public final java.lang.String COLLECTION_BAG_CONS

See Also:
  Constant Field Values

### COLLECTION_LIST_CONS

    public final java.lang.String COLLECTION_LIST_CONS

See Also:
  Constant Field Values

### COLLECTION_SET_CONS

    public final java.lang.String COLLECTION_SET_CONS

See Also:
  Constant Field Values

### COLLECTION_BAG_NIL

    public final java.lang.String COLLECTION_BAG_NIL

See Also:
  Constant Field Values

### COLLECTION_LIST_NIL

    public final java.lang.String COLLECTION_LIST_NIL

See Also:
  Constant Field Values

### COLLECTION_SET_NIL

    public final java.lang.String COLLECTION_SET_NIL

See Also:
  Constant Field Values

Constructor Detail

### ASGCollection

    public ASGCollection(Cell n)

### ASGCollection

    public ASGCollection(java.lang.String s)
                  throws ParseException

Throws:
  `ParseException`

### ASGCollection

    public ASGCollection(java.io.File f)
                  throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### getCollectionType

    public java.lang.String getCollectionType()

### getCollectionSize

    public long getCollectionSize()

  Description copied from class: `ASG`
  Usage intended only for CallToWrapper cache, to help decide between in-memory and on-disk caching

  Overrides:
    `getCollectionSize` in class `ASG`
  Returns:
    the number of cells in the ASG; works only for ASGs created using ASG.toASG(ArrayList list)

### iterator

    public java.util.Iterator iterator()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD